Package com.databricks.jdbc.model.client.sqlexec

## Class DeleteSessionRequest

- java.lang.Object
- - com.databricks.jdbc.model.client.sqlexec.DeleteSessionRequest

    public class DeleteSessionRequest
    extends Object

### Constructor Summary

Constructors
`DeleteSessionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`String` `getSessionId()`
`String` `getWarehouseId()`
`int` `hashCode()`
`DeleteSessionRequest` `setSessionId​(String sessionId)`
`DeleteSessionRequest` `setWarehouseId​(String warehouseId)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteSessionRequest

    public DeleteSessionRequest()

### Method Detail

#### setSessionId

    public DeleteSessionRequest setSessionId​(String sessionId)

#### setWarehouseId

    public DeleteSessionRequest setWarehouseId​(String warehouseId)

#### getSessionId

    public String getSessionId()

#### getWarehouseId

    public String getWarehouseId()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`